require_relative 'lib/lg_tests_structure/version'

Gem::Specification.new do |spec|
  spec.name          = "lg-tests-structure"
  spec.version       = LgTestsStructure::VERSION
  spec.authors       = ["Cristiano Gonzaga"]
  spec.email         = ["cristiano.gonzaga@logontechsistemas.com.br"]

  spec.summary       = "Estrutura básica de testes funcionais com ruby"
  spec.description   = "Esta gem foi criada com o objetivo de agilizar o processo de estruturação de uma stack de automação de testes com ruby, e capybara."
  spec.homepage      = ""
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  spec.license       = "MIT"

  # spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"

  # spec.metadata["homepage_uri"] = spec.homepage
  # spec.metadata["source_code_uri"] = "TODO: Put your gem's public repo URL here."
  # spec.metadata["changelog_uri"] = "TODO: Put your gem's CHANGELOG.md URL here."

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
end
